import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class MutableDataUpload extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        tags: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        categories: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fields: import("@oclif/core/lib/interfaces").OptionFlag<unknown>;
        docs: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: ({
        name: string;
        required: boolean;
    } | {
        name: string;
        required?: undefined;
    })[];
    run(): Promise<void>;
    mutableDataUpload: (flags: any, args: any) => Promise<void>;
    uploadFunction: (asset: any, formData: any) => Promise<any>;
}
