import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class Upload extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        description: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        type: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        keywords: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        tags: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        categories: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        fields: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        dependencies: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        properties: import("@oclif/core/lib/interfaces").OptionFlag<unknown>;
        files: import("@oclif/core/lib/interfaces").OptionFlag<unknown>;
        status: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        headers: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: ({
        name: string;
        required: boolean;
    } | {
        name: string;
        required?: undefined;
    })[];
    run(): Promise<void>;
    upload: (flags: any, args: any) => Promise<void>;
    buildFilesFromObject: (filesArgument?: any) => any;
    uploadFunction: (asset: any, formData: any, headers?: any) => Promise<any>;
}
