import Asset from './types/asset';
export declare const assets = "/exchange/api/v1/assets";
export declare const v2Assets = "/exchange/api/v2/assets";
export declare const asset: (ast: Asset) => any;
export declare const orgAsset: (ast: Asset, selectedOrganizationId: string) => any;
export declare const updateAssetStatus: (ast: Asset) => any;
export declare const v2Asset: (ast: Asset) => any;
export declare const assetDraftPages: (ast: Asset) => any;
export declare const assetPages: (ast: Asset) => any;
export declare const postAsset: ({ organizationId, st }: any) => string;
export declare const mutableData: ({ organizationId, st }: any) => string;
export declare const assetTags: (assets: Asset) => any;
export declare const orgAssetMetadata: (ast: Asset, selectedOrganizationId: string) => any;
export declare const assetDraftPortal: (ast: Asset) => any;
export declare const assetDeprecate: (ast: Asset) => {
    url: any;
    body: {
        status: string;
    };
};
export declare const assetUndeprecate: (ast: Asset) => {
    url: any;
    body: {
        status: string;
    };
};
export declare const assetDraftPage: (ast: Asset, pageName: string) => any;
export declare const assetPage: (ast: Asset, pageName: string) => any;
export declare const mainFiles: (classifier: string) => string;
export declare const resourceUpload: (ast: Asset) => string;
export declare const assetPublishedResources: (ast: Asset) => string;
export declare const assetDraftResources: (ast: Asset) => string;
export declare const assetPublishedResource: (ast: Asset, resourcePath: string) => string;
export declare const deleteAssetResource: (ast: Asset, resourcePath: string) => string;
