import { AuthenticationBaseCommand } from 'anypoint-cli-command';
export default class List extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        output: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        organizationId: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        limit: import("@oclif/core/lib/interfaces").OptionFlag<number>;
        offset: import("@oclif/core/lib/interfaces").OptionFlag<number>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: {
        name: string;
        default: string;
    }[];
    run(): Promise<void>;
    assetList: (lmt: number, ofst: number, organizationId: string | unknown, searchText: string) => Promise<void>;
}
