import { AuthenticationBaseCommand } from 'anypoint-cli-command';
import Asset from '../../../helpers/types/asset';
export default class Modify extends AuthenticationBaseCommand {
    static description: string;
    static flags: {
        help: import("@oclif/core/lib/interfaces").BooleanFlag<void>;
        name: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        tags: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        collectMetrics: import("@oclif/core/lib/interfaces").BooleanFlag<boolean>;
        host: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        environment: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        organization: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        bearer: import("@oclif/core/lib/interfaces").OptionFlag<string | undefined>;
        client_secret: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        client_id: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        password: import("@oclif/core/lib/interfaces").OptionFlag<string>;
        username: import("@oclif/core/lib/interfaces").OptionFlag<string>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<void>;
    assetModify: (assetIdentifier: string, selectedOrganizationId: string, name: string | undefined, tags: string | undefined) => Promise<void>;
    modifyName: (asset: Asset, name: string) => Promise<void>;
    modifyTags: (asset: Asset, tags: string) => Promise<void>;
}
